Results 1 to 8 of 8

Thread: No opengl :-( SLED

  1. #1
    Join Date
    Feb 2007
    Posts
    4

    Unhappy No opengl :-( SLED

    Hi!

    I'm using SLED10 and a mobile x600se,
    I've downloaded the ati-driver-installer-8.29.6.run and created the package fglrx_6_9_0_SLED10-8.29.6-1.i386.rpm, installed and made the aticonfig usual --initial ..xorg.conf
    rebooted and i got no 3d accel...

    #3dinfo
    ATI Technologies Inc MOBILITY RADEON X600SE (1002@5462):4:fglrx::dri::::

    #fglrxinfo
    display: :0.0 screen: 0
    OpenGL vendor string: Mesa project: www.mesa3d.org
    OpenGL renderer string: Mesa GLX Indirect
    OpenGL version string: 1.2 (1.5 Mesa 6.4.1)

    xorg.conf:
    http://clientes.netvisao.pt/jalberto/xorg.txt

    Thank in advance.

  2. #2

    Default

    Try using the new 8.33.6 display driver and then using the buildpkg command.

  3. #3
    Join Date
    Nov 2006
    Posts
    102

    Default

    Try this:

    Code:
    su
    modprobe fglrx
    ldconfig
    init 3
    And then in init 3 login as root

    Code:
    sax2 -r -m 0=fglrx
    init 5
    And once in graphic mode

    Code:
    glxinfo | grep direct

  4. #4
    Join Date
    Feb 2007
    Posts
    4

    Default

    Quote Originally Posted by glussier View Post
    Try this:

    Code:
    su
    modprobe fglrx
    ldconfig
    init 3
    #modprobe fglrx
    FATAL: Module fglrx not found.

    And then in init 3 login as root

    Code:
    sax2 -r -m 0=fglrx
    init 5
    And once in graphic mode

    Code:
    glxinfo | grep direct
    #glxinfo | grep direct
    direct rendering: No
    OpenGL renderer string: Mesa GLX Indirect

    Xorg.0.log:
    http://clientes.netvisao.pt/jalberto/Xorg.0.txt

    "[drm] failed to load kernel module "fglrx"" ...

    any help?

    thanks!

  5. #5

    Default

    Try 8.33.6. The DRM issue was with X.Org 7.2 on early releases due to a change after X11R72-rc2.

  6. #6
    Join Date
    Dec 2006
    Posts
    17

    Default

    i would rekommend removing your current installed driver then add http://www2.ati.com/suse in your yast2 repository, install the drivers from there! (During the registration of sled, or when enabling 3d desktop in the 'control panel' you should get the option to add ati and nvidia driver repository).

    SLED 10 is xorg 6.9 so no problems with 7.2 ...

  7. #7

    Default

    Quote Originally Posted by nesnomis View Post
    SLED 10 is xorg 6.9 so no problems with 7.2 ...
    Oops, thought he was using SuSE 10.2.

  8. #8
    Join Date
    Feb 2007
    Posts
    4

    Default

    Thanks!

    Working with nesnomis suggestion ...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •